Bug 1484068 - [3.4] installer need provide a way to add docker auth to kubelet for auto pulling infra image from an authenticated registry
Summary: [3.4] installer need provide a way to add docker auth to kubelet for auto pul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.4.z
Assignee: Michael Gugino
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1316341 1481251 1484063 1500642
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 15:22 UTC by Michael Gugino
Modified: 2017-10-17 11:45 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The installer now allows you to specify the variables 'oreg_auth_user' and 'oreg_auth_password' to specify the credentials used to pull infrastructure images from an authenticated registry which is defined by setting 'oreg_url'. Reason: Your environment may require credentials to pull infrastructure images from your private registry defined via oreg_url. Result: OCP may now pull images from a private registry requiring username and password credentials.
Clone Of: 1484063
Environment:
Last Closed: 2017-10-17 11:45:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2900 0 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-10-17 15:44:50 UTC

Comment 1 Michael Gugino 2017-08-22 16:05:43 UTC
PR Backport of fix created:  https://github.com/openshift/openshift-ansible/pull/5164

Comment 3 Johnny Liu 2017-09-07 07:33:34 UTC
Waiting for newer errata puddle to include the fix.

Comment 4 Johnny Liu 2017-09-11 06:59:10 UTC
Due no AtomicOpenShift-errata puddle including the fix, switch to AtomicOpenShift puddle to do verification.

Unfortunately, openshift-ansible-3.4.134-1.git.0.b0e4e16.el7.noarch.rpm still does not include this fix.

Comment 5 Michael Gugino 2017-09-14 17:57:48 UTC
Support for registry authentication on containerized hosts added in master.  PR backported: https://github.com/openshift/openshift-ansible/pull/5419

Comment 8 Michael Gugino 2017-09-19 13:27:42 UTC
PR Merged: https://github.com/openshift/openshift-ansible/pull/5446

Comment 10 Johnny Liu 2017-09-28 07:59:17 UTC
Re-test this bug with openshift-ansible-3.4.138-1.git.0.b2c0b40.el7.noarch, and FAIL.

Similar issue like https://bugzilla.redhat.com/show_bug.cgi?id=1316341#c54

Comment 11 Michael Gugino 2017-10-02 23:03:47 UTC
PR Merged: https://github.com/openshift/openshift-ansible/pull/5596

Comment 12 Michael Gugino 2017-10-02 23:05:23 UTC
PR Merged: https://github.com/openshift/openshift-ansible/pull/5598

Comment 14 Johnny Liu 2017-10-12 06:14:23 UTC
Verified this bug with atomic-openshift v3.4.1.44.26 + openshift-ansible-3.4.142-1.git.0.b5b1a6a.el7, and PASS.

Comment 16 errata-xmlrpc 2017-10-17 11:45:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2900


Note You need to log in before you can comment on or make changes to this bug.